$(function() {

	var O_C_Names = $("#O_C_Names");
	var O_C_Name = $("#O_C_Name");
	var O_C_Types = $("#O_C_Types");
	var O_C_Type = $("#O_C_Type");
	var search_submit = $("#search_submit");
	var url = '';
	
	
	
	

	$(".country_info_frame").each(function(i){
		$(this).click(function(){
				
			
			
			var text= $(".country_info_p")[i].innerHTML;
			var value = $(this).attr('countryid');			
			
		O_C_Name.attr('value' , text);	   
			
			$('.country_info_frame').removeClass('div_hover');
			$(this).addClass('div_hover');
			
			
			
			var str = '';
		
		
			url = 'list-'+ value;
			
			text = text.substr(3,text.length).replace(/\s+/g,""); 

		
			O_C_Type.attr('value','签证类型');
		
			$.post(root + "?m=visa.getVisaType", { countryid:value }, function(data) {
																			   
																
				var ary = eval("(" + data + ")");
				for(var i=0 ; i < ary.length ; i++)
				{
					str +=	'<Div class="visa_type_frame" countryid="'+  ary[i]['id'] +'"><p class="visa_type_p">'+ary[i]['name']+'</p></Div>';
					
				}
				$('#country_info_short').html(str);
				
				$(".visa_type_frame").each(function(i){
					$(this).click(function(){
										   
						var text= $(".visa_type_p")[i].innerHTML;
						var value = $(this).attr('countryid');			
						
						O_C_Type.attr('value',text);
						
						$('.visa_type_frame').removeClass('div_hover');
						$(this).addClass('div_hover');
					});					   
										   
				});
			});
			
		}); 
	}); 
		//开始搜索
	search_submit.click(function(){
		
		if(url == '')
		{
			alert('请选择要搜索的条件');		
			return;
		}
		
		document.location.href = url+'.html';
	});
}); 